%define name            jswat
%define Name            JSwat
%define Summary         Graphical Java debugger
%define version         1.6
%define release         3jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         free

%define javadir      %{_datadir}/java
%define javadocdir   %{_datadir}/javadoc/%{name}
%define releasev     20020619

# These are needed in order to build successfully on non-Mandrake systems.
%{!?_menudir:           %define _menudir   %{_libdir}/menu}
%{!?_miconsdir:         %define _miconsdir %{_datadir}/icons/mini}
%{!?_iconsdir:          %define _iconsdir  %{_datadir}/icons}
%{!?_liconsdir:         %define _liconsdir %{_datadir}/icons/large}

Summary:        %{Summary}
Name:           jswat
Version:        %{version}
Release:        %{release}
Group:          Development/Tools
License:        GPL
URL:            http://www.bluemarsh.com/java/jswat/
BuildArch:      noarch
Source0:        %{name}-src-%{releasev}.tar.gz
Source1:        %{name}.sh
Source2:        %{name}.icon-16.png
BuildRoot:      %{_tmppath}/%{name}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildRequires:  ant

%description 
JSwat is a graphical Java debugger front-end written in Java, using the
Java 2 Platform. This program is under constant development, though it
can be considered fairly stable and somewhat feature complete.

%package javadoc
Group: Documentation
Summary: Javadoc for %{name}

%description javadoc
Javadoc for %{name}

%package mdkmenu
Summary:        Mandrake menu entry for %{name}
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}

%description mdkmenu
This is a Mandrake menu system entry for %{name}.

%package rhmenu
Summary:        Red Hat menu entry for %{name}
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}

%description rhmenu
This is a Red Hat menu entry for %{name}.

%prep
%setup -q -n %{name}

%build
ant -DDSTAMP=%{version} -Dbuild.compiler=modern classes
ant -DDSTAMP=%{version} -Dbuild.compiler=modern api

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{javadir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{javadocdir}

install dist/%{name}/%{name}-%{version}.jar ${RPM_BUILD_ROOT}%{javadir}/
cp -prf apidist/* ${RPM_BUILD_ROOT}%{javadocdir}
install %{SOURCE1} ${RPM_BUILD_ROOT}%{_bindir}/%{name}

# mdk menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
command="%{_bindir}/%{name}"\\
needs="X11"\\
icon="%{name}.png"\\
section="Applications/Development/Development environments"\\
title="%{Name}" \
longtitle="%{Summary}"
EOF
# icons for mdk menu
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
# rh menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development
cat >$RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{Name}
Comment=%{Summary}
Comment[fi]=Graafinen Java-debuggeri
Exec=%{_bindir}/%{name}
Terminal=0
Type=Application
Icon=%{name}.png
EOF
# icons for rh menu
install -D -m 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png

# versioning
(cd ${RPM_BUILD_ROOT}/%{javadir}; ln -s %{name}-%{version}.jar %{name}.jar)

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post mdkmenu
%update_menus

%postun mdkmenu
%clean_menus

%files
%defattr(-,root,root,-)
%doc example.jswatrc *.txt
%attr(644,root,root) %{javadir}/*.jar
%attr(755,root,root) %{_bindir}/%{name}

%files javadoc
%defattr(644,root,root,755)
%{javadocdir}

%files mdkmenu
%defattr(-,root,root,-)
%{_menudir}/*
%{_miconsdir}/%{name}.png

%files rhmenu
%defattr(-,root,root,-)
%{_sysconfdir}/X11/applnk/Development/*
%{_datadir}/icons/*/*/apps/*

%changelog
* Fri Aug  2 2002 Ville Skytt <ville.skytta at iki.fi> 1.6-3jpp
- Clean up startup script, thanks to Nathan Fiedler (author).

* Thu Aug  1 2002 Ville Skytt <ville.skytta at iki.fi> 1.6-2jpp
- Use java-functions in startup script if available.
- Add Mandrake and Red Hat menu items.
- Add -Dbuild.compiler=modern to ant build options.

* Wed Jul 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.6-1jpp
- jswat 1.6

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.4-1jpp
- jswat 1.4
- Initial jpackage release
- built with IBM SDK 1.3.1 since I've got problems at startup when
  built with jikes 1.15 ('Expecting to find object/array on stack')
